Monitor de Sistemas
===================

Coletor e gerador de gráficos de informações de sistema.

Instalação
----------

A instalação da biblioteca é bem simples:

    user@host:~$ pip install --user hwm

Ainda podemos instalar pelo easy_install, veja:

    user@host:~$ easy_install --user hwm

Supondo que tenha instalado no PYTHONPATH ou esteja utilizando o VirtualEnv agora podemos executar o aplicativo através do comando:

    user@host:~$ python -m hwm.colector --help
    user@host:~$ python -m hwm.graph --help

Se você não tem o PYTHONPATH ou não esta utilizando o VirtualEnv adicione no inicio do comando PYTHONPATH=/home/user/.local/python, veja o exemplo:

    user@host:~$ PYTHONPATH=/home/user/.local/python python -m hwm.colector --help

Como coletar informações
------------------------

Por enquanto contamos com dois coletores de informações, o de Rede (network) e o de uso de Disco (disk), em nosso primeiro exemplo irei demonstrar com coletar informações de uso de rede, veja:

    user@host:~$ python -m hwm.colector --colect network interface:eth0 label:eth0-5min

No comando acima estou coletando informações de uso de rede e colocando um label eth0-5min, o label ajuda a identificar a frequência com que é coletada as informações. Vamos a um exemplo de uso de disco:

    user@host:~$ python -m hwm.colector --colect disk mount_point:/home

O comando acima coleta informações de uso do ponto de montagem /home pegando as informações do tamanho, do que foi usado e o que temos para usar ainda.

Outros plugins de coleta ainda serão desenvolvidos, veja a lista de pendencias:

1. Uso de memoria
2. Sessões do Oracle
3. Numero de conexões em uma determinada porta e protocolo

Outros plugins podem ser desenvolvidos pela comunidade ainda, uma vez que os fontes estão disponiveis para serem forcados.

Basicamente o comando do coletor prever que seja passado um plugin e os argumentos extras que serão utilizados pelo plugin para tomada de decisão, veja a sintaxe abaixo:

    user@host:~$ python -m hwm.colector --[action] [plugin] [extra argument 1] ... [extra argument N]

Onde **action** pode variar entre (clear,extract,colect), **plugin** pode variar de acordo com cada instalação, hoje temos por padrão dois plugins **network** e **disk**.

Como gerar os gráficos
----------------------

Os gráficos podem ser gerados de forma semelhante a coleta de informações veja o comando abaixo:

    user@host:~$ python -m hwm.graph --draw network interface:eth0 label:eth0-5min

Como podemos ver houve uma pequena mudança aos comandos anteriores, mas mantivemos a mesma logica.
